require 'spec_helper'
require 'json'

describe Officepod do
  before(:each) do
    @klass = Class.new
    @klass.class_eval {
      include Officepod

      def login
        body = {
            'command': 'login',
            'device_id': '',
            'install_ver': '',
            'ip': 'localhost:3000',
            'lang': 'ko',
            'str': 'dGVzdHtHU310ZXN0'
        }

        o = Officepod::Base.new("login", body)
        o.operate
      end
    }
    @instance = @klass.new
    @response = @instance.login
  end

  context "login response" do
    it "should have storage list" do
      expect(@response["storage_list"]).not_to eq nil
    end
  end

end
