# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'officepod/version'

Gem::Specification.new do |spec|
  spec.name          = "officepod"
  spec.version       = Officepod::VERSION
  spec.platform      = Gem::Platform::RUBY
  spec.authors       = ["Yoochan Seo"]
  spec.email         = ["supergnee@gmail.com"]

  spec.summary       = "Easy to communicate with Officepod server!"
  spec.description   = "Call to the original Officepod API server is hassle,
                        this gem makes your life a lot easier."
  spec.homepage      = "https://github.com/seoyoochan/officepod"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  spec.required_ruby_version = ">= 2.2.4"

  spec.add_dependency "json", "~> 1.8"
  spec.add_dependency "httparty", "~> 0.13.7"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  spec.executables   = `git ls-files -- bin/*`.split("\n").map { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
